Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.streaming
Class StreamOutManager

    java.lang.Object
      org.apache.cassandra.streaming.StreamOutManager

    public class StreamOutManager

extends java.lang.Object

This class manages the streaming of multiple files one after the other.

Field Summary
`static java.util.Set<java.net.InetAddress>` | `pendingDestinations`

Method Summary
`void` | `addFilesToStream(org.apache.cassandra.streaming.PendingFile[] pendingFiles)`
`void` | `finishAndStartNext(java.lang.String file)`
`static StreamOutManager` | `get(java.net.InetAddress to)`
`static java.util.Set<java.net.InetAddress>` | `getDestinations()`
`static java.util.List<org.apache.cassandra.streaming.PendingFile>` | `getPendingFiles(java.net.InetAddress host)` this method exists so that we don't have to call StreamOutManager.get() which has a nasty side-effect of indicating that we are streaming to a particular host.
`static void` | `remove(java.net.InetAddress to)`
`void` | `startNext()`
`void` | `update(java.lang.String path, long pos)`
`void` | `waitForStreamCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pendingDestinations

    public static final java.util.Set<java.net.InetAddress> pendingDestinations

Method Detail

### get

    public static StreamOutManager get(java.net.InetAddress to)

### remove

    public static void remove(java.net.InetAddress to)

### getDestinations

    public static java.util.Set<java.net.InetAddress> getDestinations()

### getPendingFiles

    public static java.util.List<org.apache.cassandra.streaming.PendingFile> getPendingFiles(java.net.InetAddress host)

  this method exists so that we don't have to call StreamOutManager.get() which has a nasty side-effect of indicating that we are streaming to a particular host.

### addFilesToStream

    public void addFilesToStream(org.apache.cassandra.streaming.PendingFile[] pendingFiles)

### update

    public void update(java.lang.String path,
                       long pos)

### startNext

    public void startNext()

### finishAndStartNext

    public void finishAndStartNext(java.lang.String file)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### waitForStreamCompletion

    public void waitForStreamCompletion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation